### Constructor

# Gtk.SignalListItemFactory.new

#### Declaration [src]

    GtkListItemFactory*
    gtk_signal_list_item_factory_new (
      void
    )

#### Description [src]

Creates a new `GtkSignalListItemFactory`.

You need to connect signal handlers before you use it.

#### Return value

Returns: `GtkListItemFactory`
a new `GtkSignalListItemFactory`
Ownership of the data is transferred to the caller